# Uses of Class
java.awt.GraphicsDevice

Packages that use GraphicsDevice
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of GraphicsDevice in java.awt

Methods in java.awt that return GraphicsDevice
Modifier and Type
Method
Description
`abstract GraphicsDevice`
GraphicsEnvironment.`getDefaultScreenDevice()`
Returns the default screen `GraphicsDevice`.
`abstract GraphicsDevice`
GraphicsConfiguration.`getDevice()`
Returns the `GraphicsDevice` associated with this `GraphicsConfiguration`.
`GraphicsDevice`
PointerInfo.`getDevice()`
Returns the `GraphicsDevice` where the mouse pointer was at the moment this `PointerInfo` was created.
`abstract GraphicsDevice[]`
GraphicsEnvironment.`getScreenDevices()`
Returns an array of all of the screen `GraphicsDevice` objects.
Constructors in java.awt with parameters of type GraphicsDevice
Modifier
Constructor
Description
``
`Robot(GraphicsDevice screen)`
Creates a Robot for the given screen device.